LibreOffice: XPlayerWindow Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XPlayerWindow Interface Reference

interacts with the media player window More...

`import "XPlayerWindow.idl";`

Inheritance diagram for XPlayerWindow:

## Public Member Functions
void | update ()
| redraws the player window
boolean | setZoomLevel ([in] ZoomLevel ZoomLevel)
| changes the zoom of the media played by the window.
ZoomLevel | getZoomLevel ()
| gets the current media ratio.
void | setPointerType ([in] long SystemPointerType)
| changes the pointer for the player window.
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window.
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window.
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter.
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter.
void | setFocus ()
| sets the focus to the window.
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object.
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list.
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object.
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list.
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object.
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list.
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object.
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list.
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object.
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list.
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object.
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

interacts with the media player window

## Member Function Documentation

## ◆ getZoomLevel()

ZoomLevel getZoomLevel | ( |  | ) |

gets the current media ratio.

## ◆ setPointerType()

void setPointerType | ( | [in] long | SystemPointerType | ) |

changes the pointer for the player window.

Parameters

  SystemPointerType | a com::sun::star::awt::SystemPointer

## ◆ setZoomLevel()

boolean setZoomLevel | ( | [in] ZoomLevel | ZoomLevel | ) |

changes the zoom of the media played by the window.

## ◆ update()

void update | ( |  | ) |

redraws the player window

The documentation for this interface was generated from the following file:

- com/sun/star/media/XPlayerWindow.idl